Page MenuHomePhabricator

Handle more than 500 tags per wiki
Closed, InvalidPublic

Description

Maybe we can keep using a wg always, but use continuation in the internal API.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Mattflaschen-WMF removed the point value for this task.May 30 2017, 8:59 PM
Mooeypoo added a subscriber: Mooeypoo.EditedJun 5 2017, 2:20 PM

As an aside to the technical question, I'm not entirely sure it's the right thing to do to display so many tags in the menu. We might want to preload them (so, still get them from the wg* variable, with continuation as is written in the description) but either paginate the menu, or act as if the menu is lookup or search, etc.

For cases where we have over 50 tags (and even 50 is quite a lot) the menu itself gets so big, that I don't see it as being useful anymore, and it will have such a huge scroll at some point that switching to it and from it might also be a performance drag, especially when we consider over 500 items in the menu...

So I do think that it would be most helpful and straight forward to preload all available tags instead of sending API requests, but it's worth considering whether we want to display them all, and how.

@Catrope -- reminder: you wanted to review this and see if it should be closed.

Catrope closed this task as Invalid.Jun 15 2017, 7:32 PM

The implementation we ended up going with doesn't have a built-in limit of 500, so it doesn't need continuation. We may still wish to turn the tag menu into some sort of lookup menu though, but we can do that after we implement the user menu (where we need a lookup menu regardless).